Page MenuHomePhabricator

Changing settings on Special:Translate produces "Uncaught TypeError: Cannot read property 'changeSettings' of null"
Closed, ResolvedPublic

Description

Go to https://translatewiki.net/w/i.php?title=Special:Translate&filter=&group=core-0-mostused&uselang=en and click to select on any of the settings: All, Untranslated, Outdated, Translated, and Unreviewed.

The following Console error will be displayed:

Uncaught TypeError: Cannot read property 'changeSettings' of null
    at Object.changeFilter (<anonymous>:139:1821)
    at HTMLLIElement.<anonymous> (<anonymous>:145:258)
    at HTMLLIElement.dispatch (VM2974 load.php:69)
    at HTMLLIElement.elemData.handle (VM2974 load.php:66)

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2018, 8:21 AM

I assume your interface language was English. It doesn't happen for other languages where translation is not disabled.

@Nikerabbit - yes, the interface lang was English. So, it's not an issue then?

It is an issue, but would fall under T143855 and similar group of tasks.

Change 424607 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Move language validation from Special:Translate to ApiQueryMessageCollection

https://gerrit.wikimedia.org/r/424607

Change 424607 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Move language validation from Special:Translate to ApiQueryMessageCollection

https://gerrit.wikimedia.org/r/424607

Nikerabbit triaged this task as Low priority.
Nikerabbit moved this task from Backlog to QA on the Language-2018-Apr-June board.
Nikerabbit renamed this task from [translatewiki] Changing settings on Special:Translate produces "Uncaught TypeError: Cannot read property 'changeSettings' of null" to Changing settings on Special:Translate produces "Uncaught TypeError: Cannot read property 'changeSettings' of null".Jun 6 2018, 6:08 AM
Nikerabbit updated the task description. (Show Details)
Nikerabbit moved this task from QA to Done on the Language-2018-Apr-June board.Jun 13 2018, 7:05 AM
Nikerabbit closed this task as Resolved.Jun 13 2018, 2:44 PM